Fandom

How To Wiki

How to configure the Linux kernel/sound/isa

< How to configure the Linux kernel | sound

1,795pages on
this wiki
Add New Page
Talk0 Share

Ad blocker interference detected!


Wikia is a free-to-use site that makes money from advertising. We have a modified experience for viewers using ad blockers

Wikia is not accessible if you’ve made further modifications. Remove the custom ad blocker rule(s) and the page will load as expected.

Howto configure the Linux kernel / sound / isa


ALSA ISA drivers

ISA devicesEdit

    • depends on SND!=n && ISA && ISA_DMA_API


  • Option: SND_AD1848_LIB
    • Kernel Versions: 2.6.15.6 ... tristate select SND_PCM
    • select SND_GENERIC_DRIVER


  • Option: SND_CS4231_LIB
    • Kernel Versions: 2.6.15.6 ... tristate select SND_PCM
    • select SND_GENERIC_DRIVER


  • Option: SND_AD1816A
    • Kernel Versions: 2.6.15.6 ...
    • (on/off/module) Analog Devices SoundPort AD1816A
    • depends on SND && PNP && ISA
    • select ISAPNP
    • select SND_OPL3_LIB
    • select SND_MPU401_UART
    • select SND_PCM
      Say Y here to include support for Analog Devices SoundPort AD1816A or compatible sound chips.
      To compile this driver as a module, choose M here: the module will be called snd-ad1816a.


  • Option: SND_AD1848
    • Kernel Versions: 2.6.15.6 ...
    • (on/off/module) Generic AD1848/CS4248 driver
    • depends on SND
    • select SND_AD1848_LIB
      Say Y here to include support for AD1848 (Analog Devices) or CS4248 (Cirrus Logic - Crystal Semiconductors) chips. For newer chips from Cirrus Logic, use the CS4231, CS4232 or CS4236+ drivers.
      To compile this driver as a module, choose M here: the module will be called snd-ad1848.


  • Option: SND_CS4231
    • Kernel Versions: 2.6.15.6 ...
    • (on/off/module) Generic Cirrus Logic CS4231 driver
    • depends on SND
    • select SND_MPU401_UART
    • select SND_CS4231_LIB
      Say Y here to include support for CS4231 chips from Cirrus Logic - Crystal Semiconductors.
      To compile this driver as a module, choose M here: the module will be called snd-cs4231.


  • Option: SND_CS4232
    • Kernel Versions: 2.6.15.6 ...
    • (on/off/module) Generic Cirrus Logic CS4232 driver
    • depends on SND
    • select SND_OPL3_LIB
    • select SND_MPU401_UART
    • select SND_CS4231_LIB
      Say Y here to include support for CS4232 chips from Cirrus Logic - Crystal Semiconductors.
      To compile this driver as a module, choose M here: the module will be called snd-cs4232.


  • Option: SND_CS4236
    • Kernel Versions: 2.6.15.6 ...
    • (on/off/module) Generic Cirrus Logic CS4236+ driver
    • depends on SND
    • select SND_OPL3_LIB
    • select SND_MPU401_UART
    • select SND_CS4231_LIB
      Say Y to include support for CS4235,CS4236,CS4237B,CS4238B, CS4239 chips from Cirrus Logic - Crystal Semiconductors.
      To compile this driver as a module, choose M here: the module will be called snd-cs4236.


  • Option: SND_ES968
    • Kernel Versions: 2.6.15.6 ...
    • (on/off/module) Generic ESS ES968 driver
    • depends on SND && PNP && ISA
    • select ISAPNP
    • select SND_MPU401_UART
    • select SND_PCM
      Say Y here to include support for ESS AudioDrive ES968 chips.
      To compile this driver as a module, choose M here: the module will be called snd-es968.


  • Option: SND_ES1688
    • Kernel Versions: 2.6.15.6 ...
    • (on/off/module) Generic ESS ES688/ES1688 driver
    • depends on SND
    • select SND_OPL3_LIB
    • select SND_MPU401_UART
    • select SND_PCM
    • select SND_GENERIC_DRIVER
      Say Y here to include support for ESS AudioDrive ES688 or ES1688 chips.
      To compile this driver as a module, choose M here: the module will be called snd-es1688.


  • Option: SND_ES18XX
    • Kernel Versions: 2.6.15.6 ...
    • (on/off/module) Generic ESS ES18xx driver
    • depends on SND
    • select SND_OPL3_LIB
    • select SND_MPU401_UART
    • select SND_PCM
    • select SND_GENERIC_DRIVER
      Say Y here to include support for ESS AudioDrive ES18xx chips.
      To compile this driver as a module, choose M here: the module will be called snd-es18xx.


  • Option: SND_GUS_SYNTH
    • Kernel Versions: 2.6.15.6 ...
    • (on/off/module)


  • Option: SND_GUSCLASSIC
    • Kernel Versions: 2.6.15.6 ...
    • (on/off/module) Gravis UltraSound Classic
    • depends on SND
    • select SND_RAWMIDI
    • select SND_PCM
    • select SND_GUS_SYNTH
    • select SND_GENERIC_DRIVER
      Say Y here to include support for Gravis UltraSound Classic soundcards.
      To compile this driver as a module, choose M here: the module will be called snd-gusclassic.


  • Option: SND_GUSEXTREME
    • Kernel Versions: 2.6.15.6 ...
    • (on/off/module) Gravis UltraSound Extreme
    • depends on SND
    • select SND_HWDEP
    • select SND_MPU401_UART
    • select SND_PCM
    • select SND_GUS_SYNTH
    • select SND_GENERIC_DRIVER
      Say Y here to include support for Gravis UltraSound Extreme soundcards.
      To compile this driver as a module, choose M here: the module will be called snd-gusextreme.


  • Option: SND_GUSMAX
    • Kernel Versions: 2.6.15.6 ...
    • (on/off/module) Gravis UltraSound MAX
    • depends on SND
    • select SND_RAWMIDI
    • select SND_CS4231_LIB
    • select SND_GUS_SYNTH
    • select SND_GENERIC_DRIVER
      Say Y here to include support for Gravis UltraSound MAX soundcards.
      To compile this driver as a module, choose M here: the module will be called snd-gusmax.


  • Option: SND_INTERWAVE
    • Kernel Versions: 2.6.15.6 ...
    • (on/off/module) AMD InterWave, Gravis UltraSound PnP
    • depends on SND && PNP && ISA
    • select SND_RAWMIDI
    • select SND_CS4231_LIB
    • select SND_GUS_SYNTH
    • select SND_GENERIC_DRIVER
      Say Y here to include support for AMD InterWave based soundcards (Gravis UltraSound Plug & Play, STB SoundRage32, MED3210, Dynasonic Pro, Panasonic PCA761AW).
      To compile this driver as a module, choose M here: the module will be called snd-interwave.


  • Option: SND_INTERWAVE_STB
    • Kernel Versions: 2.6.15.6 ...
    • (on/off/module) AMD InterWave + TEA6330T (UltraSound 32-Pro)
    • depends on SND && PNP && ISA
    • select SND_RAWMIDI
    • select SND_CS4231_LIB
    • select SND_GUS_SYNTH
    • select SND_GENERIC_DRIVER
      Say Y here to include support for AMD InterWave based soundcards with a TEA6330T bass and treble regulator (UltraSound 32-Pro).
      To compile this driver as a module, choose M here: the module will be called snd-interwave-stb.


  • Option: SND_OPTI92X_AD1848
    • Kernel Versions: 2.6.15.6 ...
    • (on/off/module) OPTi 82C92x - AD1848
    • depends on SND
    • select SND_OPL3_LIB
    • select SND_OPL4_LIB
    • select SND_MPU401_UART
    • select SND_AD1848_LIB
      Say Y here to include support for soundcards based on Opti 82C92x or OTI-601 chips and using an AD1848 codec.
      To compile this driver as a module, choose M here: the module will be called snd-opti92x-ad1848.


  • Option: SND_OPTI92X_CS4231
    • Kernel Versions: 2.6.15.6 ...
    • (on/off/module) OPTi 82C92x - CS4231
    • depends on SND
    • select SND_OPL3_LIB
    • select SND_OPL4_LIB
    • select SND_MPU401_UART
    • select SND_CS4231_LIB
      Say Y here to include support for soundcards based on Opti 82C92x chips and using a CS4231 codec.
      To compile this driver as a module, choose M here: the module will be called snd-opti92x-cs4231.


  • Option: SND_OPTI93X
    • Kernel Versions: 2.6.15.6 ...
    • (on/off/module) OPTi 82C93x
    • depends on SND
    • select SND_OPL3_LIB
    • select SND_MPU401_UART
    • select SND_PCM
    • select SND_GENERIC_DRIVER
      Say Y here to include support for soundcards based on Opti 82C93x chips.
      To compile this driver as a module, choose M here: the module will be called snd-opti93x.


  • Option: SND_SB8
    • Kernel Versions: 2.6.15.6 ...
    • (on/off/module) Sound Blaster 1.0/2.0/Pro (8-bit)
    • depends on SND
    • select SND_OPL3_LIB
    • select SND_RAWMIDI
    • select SND_PCM
    • select SND_GENERIC_DRIVER
      Say Y here to include support for Creative Sound Blaster 1.0/ 2.0/Pro (8-bit) or 100% compatible soundcards.
      To compile this driver as a module, choose M here: the module will be called snd-sb8.


  • Option: SND_SB16
    • Kernel Versions: 2.6.15.6 ...
    • (on/off/module) Sound Blaster 16 (PnP)
    • depends on SND
    • select SND_OPL3_LIB
    • select SND_MPU401_UART
    • select SND_PCM
    • select SND_GENERIC_DRIVER
      Say Y here to include support for Sound Blaster 16 soundcards (including the Plug and Play version).
      To compile this driver as a module, choose M here: the module will be called snd-sb16.


  • Option: SND_SBAWE
    • Kernel Versions: 2.6.15.6 ...
    • (on/off/module) Sound Blaster AWE (32,64) (PnP)
    • depends on SND
    • select SND_OPL3_LIB
    • select SND_MPU401_UART
    • select SND_PCM
    • select SND_GENERIC_DRIVER
      Say Y here to include support for Sound Blaster AWE soundcards (including the Plug and Play version).
      To compile this driver as a module, choose M here: the module will be called snd-sbawe.


  • Option: SND_SB16_CSP
    • Kernel Versions: 2.6.15.6 ...
    • (on/off) Sound Blaster 16/AWE CSP support
    • depends on (SND_SB16 || SND_SBAWE) && (BROKEN || !PPC)
      Say Y here to include support for the CSP core. This special coprocessor can do variable tasks like various compression and decompression algorithms.


  • Option: SND_WAVEFRONT
    • Kernel Versions: 2.6.15.6 ...
    • (on/off/module) Turtle Beach Maui,Tropez,Tropez+ (Wavefront)
    • depends on SND
    • select SND_OPL3_LIB
    • select SND_MPU401_UART
    • select SND_CS4231_LIB
      Say Y here to include support for Turtle Beach Maui, Tropez and Tropez+ soundcards based on the Wavefront chip.
      To compile this driver as a module, choose M here: the module will be called snd-wavefront.


  • Option: SND_ALS100
    • Kernel Versions: 2.6.15.6 ...
    • (on/off/module) Avance Logic ALS100/ALS120
    • depends on SND && PNP && ISA
    • select ISAPNP
    • select SND_OPL3_LIB
    • select SND_MPU401_UART
    • select SND_PCM
      Say Y here to include support for soundcards based on Avance Logic ALS100, ALS110, ALS120 and ALS200 chips.
      To compile this driver as a module, choose M here: the module will be called snd-als100.


  • Option: SND_AZT2320
    • Kernel Versions: 2.6.15.6 ...
    • (on/off/module) Aztech Systems AZT2320
    • depends on SND && PNP && ISA
    • select ISAPNP
    • select SND_OPL3_LIB
    • select SND_MPU401_UART
    • select SND_CS4231_LIB
      Say Y here to include support for soundcards based on the Aztech Systems AZT2320 chip.
      To compile this driver as a module, choose M here: the module will be called snd-azt2320.


  • Option: SND_CMI8330
    • Kernel Versions: 2.6.15.6 ...
    • (on/off/module) C-Media CMI8330
    • depends on SND
    • select SND_AD1848_LIB
      Say Y here to include support for soundcards based on the C-Media CMI8330 chip.
      To compile this driver as a module, choose M here: the module will be called snd-cmi8330.


  • Option: SND_DT019X
    • Kernel Versions: 2.6.15.6 ...
    • (on/off/module) Diamond Technologies DT-019X, Avance Logic ALS-007
    • depends on SND && PNP && ISA
    • select ISAPNP
    • select SND_OPL3_LIB
    • select SND_MPU401_UART
    • select SND_PCM
      Say Y here to include support for soundcards based on the Diamond Technologies DT-019X or Avance Logic ALS-007 chips.
      To compile this driver as a module, choose M here: the module will be called snd-dt019x.


  • Option: SND_OPL3SA2
    • Kernel Versions: 2.6.15.6 ...
    • (on/off/module) Yamaha OPL3-SA2/SA3
    • depends on SND
    • select SND_OPL3_LIB
    • select SND_MPU401_UART
    • select SND_CS4231_LIB
      Say Y here to include support for Yamaha OPL3-SA2 and OPL3-SA3 chips.
      To compile this driver as a module, choose M here: the module will be called snd-opl3sa2.


  • Option: SND_SGALAXY
    • Kernel Versions: 2.6.15.6 ...
    • (on/off/module) Aztech Sound Galaxy
    • depends on SND
    • select SND_AD1848_LIB
      Say Y here to include support for Aztech Sound Galaxy soundcards.
      To compile this driver as a module, choose M here: the module will be called snd-sgalaxy.


  • Option: SND_SSCAPE
    • Kernel Versions: 2.6.15.6 ...
    • (on/off/module) Ensoniq SoundScape PnP driver
    • depends on SND
    • select SND_HWDEP
    • select SND_MPU401_UART
    • select SND_CS4231_LIB
      Say Y here to include support for Ensoniq SoundScape PnP soundcards.
      To compile this driver as a module, choose M here: the module will be called snd-sscape.



Linux Kernel Configuration

Also on Fandom

Random Wiki